 
* {
    margin: 0;
    padding: 0;
    text-decoration: none;
    list-style: none;
    box-sizing: border-box;

    scroll-behavior: smooth;
}

body {
    font-family: Arial, Helvetica, sans-serif;
  
}


header {
    height: 100vh;
    width: 100vw;
    background-position: center;
    /* background-size: contain;Pour que l'image soit entièrement visible */
    
    background: url(../image/file.jpg) no-repeat center center;
    background-size: cover;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    margin: 0;
    
 }
 /* Barre de navigation */

 .navbar {
    /*background-color: #cbb1ab;*/
    background-color:black;
    position: relative; /* Relative position for the sticky effect */
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 70px;
    font-size: 17px;
    z-index: 2;
}

    .navbar.sticky {
        position: fixed;
        top: 0;
        width: 100%;
    }

    .navbar a {
        color: white;
        text-decoration:none;
    }

    .navbar img {
        font-size: 1em;
        width: 150px;
        height: 80px;
         padding-top: 10px;
        margin-left: 28%;
        margin-top: 5%;
        }

    .navbar .nav-links ul {
        display: flex;
    }

        .navbar .nav-links ul li {
            margin: 0 25px;
            transition: color 0.3s ease;
        }

            .navbar .nav-links ul li.active a {
                color: #dfb16d;
                font-weight: 600;
            }
nav ul li a:hover {
    color: gray;
    text-decoration: none;
}

    .navbar .menu-hamburger {
        display: none;
        position: absolute;
        right: 30px;
        width: 35px;
    }

.text h1 {
    font-size: 50px
}
 .text{
    position: absolute;
    top:50%;
    left: 25%;
    right: 25%;
     background-color: rgba(0, 0, 0, 0.4);
    padding: 40px;
    border-radius: 10px;
      align-items: center;
   text-align: center;
   font-size: 1.5rem;
color: #000;
text-decoration: none;
 

 }
 .text a{
    text-decoration: none;
    color: white;

 }
 
 .text p{
    
    text-align: center;
    flex-wrap: wrap;
    
 }

 
.container {
    /* Utilisation de 90% pour qu'elle s'adapte aux tailles d'écran */
margin-left: 5%;
display: flex;
  margin-right: 5%;
 
 
}
.form{
  
width: 50%;
padding: 2%;
flex: 1;
}
.form h1{
    text-align:left;
    color: #dfb16d;
    font-size: 30px;
   font-weight: bold;
}
.container .form {
    margin-top: 30px;
}

.input-box {
    width: 100%;
    margin-top: 20px;
}

.input-box label {
    color: #333;
}

.form .input-box input {
    width: 100%;
    height: 50px;
    font-size: 1rem;
    color: #707070;
    margin-top: 8px;
    border: 1px solid #ddd;
    border-radius: 6px;
    padding: 0 15px;
}

.form .column {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
}

.form .gender-box {
    margin-top: 20px;
}

.gender-box h3 {
    color: #333;
    font-size: 1rem;
    font-weight: 400;
    margin-bottom: 8px;
}

.gender-option, .gender {
    display: flex;
    align-items: center;
    gap: 40px;
}

    .gender label {
        color: #999797;
    }

.adress input {
    margin-top: 15px;
    
}
.input-box textarea{
    height: 150px;
    resize: vertical;
    width: 100%;
    border-radius: 5px;
}


.form button {
    width: 100%;
    height: 55px;
    color: #fff;
    font-size: 1rem;
    border: none;
    margin-top: 30px;
    cursor: pointer;
    border-radius: 6px;
    font-weight: 400;
    transition: all 0.2s ease;
    background-color: rgb(44, 43, 48);
}

    .form button:hover {
        background-color: #E5E4E2;
        color: #000;
    }

    .infos {
       
        flex: 1;
        margin-left: 20px;
        margin-top: 3%;
       
    }
    
        .infos h1 {
            font-size: 30px;
            color: #dfb16d;
            margin-bottom: 20px;
            margin-top: 2%;
            text-align: center;
            display: inline-block;
                      
        
           
        }
    
    
    .contacteznous {
        display: flex; /* Active Flexbox */
    }
    
    .imagecontact {
        /* flex: 1 ; Définit une largeur flexible pour chaque image */
        margin: 3%;
        text-align: center; /* Centre le texte sous les images */
        box-sizing: border-box; /* Inclut le padding et les bordures dans la largeur totale */
    }
    .imagecontact2 {
     text-align: left;
    padding-left: 5%;
     
    }
    
        .imagecontact img {
            width: 100%; /* Prend toute la largeur de son conteneur (flex) */
            max-width: 150px; /* Limite la largeur maximale de l'image */
            height: auto; /* Garde les proportions des images */
            border-radius: 5px; /* Ajoute des coins arrondis */
        }
    
    
    .infos p {
        font-size: 1rem;
        color: black;
        margin: 5px 0;
    }




footer {
    margin-top: 50px;
    border-top: 1px solid #787878;
    text-align: center;
    color: #fff;
    background-color: #000;
    padding: 20px;
}
/* color footer*/
.color{
    color: white;
    margin-top: 2%;
    font-size: 12px;
       
}
/* Media Query pour mobile */
 
    
 
@media (max-width:768PX) {

    header{
        background-position: center;
    }
    
}
@media screen and (max-width: 901px) {
    .navbar {
        padding: 0;
    }
 

      

        .navbar .menu-hamburger {
            display: block;
            width: 50px;
            margin-top: auto;
          
            
        }

    .nav-links {
        position: absolute;
        top: 0;
        left: 0;
         background-color: rgba(2, 1, 1, 0.637);
        backdrop-filter: blur(8px);
        width: 100%;
        height: 100vh;
        display: flex;
        justify-content: center;
        align-items: center;
        margin-left: -100%;
        transition: all 0.5s ease;
    }

        .nav-links.mobile-menu {
            margin-left: 0;
        }

        .nav-links ul {
            display: flex;
            flex-direction: column;
            align-items: center;
        }

    .navbar .nav-links ul li {
        margin: 25px 0;
        font-size: 1.2em;
    }
    
    .container {
        width: 90%;
        padding: 15px;
        flex-direction: column;
    }

    .form{
  
        width: 100%;}

    .form .column {
        flex-direction: column;
        gap: 10px;
    }

    .gender-option, .gender {
        gap: 20px;
    }

   header{
    margin-bottom: 16%;
    background-position: top;
   }

   .text h1{
    
      font-size: 30px;
 }
 

 .contacteznous {
    flex-direction: column; /* Empile les images sur petits écrans */
}

.imagecontact {
    flex: 1 1 100%; /* Chaque image prend toute la largeur disponible */
}

    .imagecontact img {
        max-width: 120px; /* Réduit la taille maximale sur petits écrans */
    }

    footer {
        font-size: 14px;
    }
    
}
